Package org.bukkit

# Enum Class GameMode

java.lang.Object
java.lang.Enum<GameMode>
org.bukkit.GameMode

All Implemented Interfaces:
  `Serializable`, `Comparable<GameMode>`, `Constable`

public enum GameMode extends Enum<GameMode>
Represents the various type of game modes that `HumanEntity`s may have

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADVENTURE`
Adventure mode cannot break blocks without the correct tools.
`CREATIVE`
Creative mode may fly, build instantly, become invulnerable and create free items.
`SPECTATOR`
Spectator mode cannot interact with the world in anyway and is invisible to normal players.
`SURVIVAL`
Survival mode is the "normal" gameplay type, with no special features.

## Method Summary

Modifier and Type
Method
Description
`static @Nullable GameMode`
`getByValue(int value)`
Deprecated.
Magic value
`int`
`getValue()`
Deprecated.
Magic value
`static GameMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GameMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATIVE

public static final GameMode CREATIVE
Creative mode may fly, build instantly, become invulnerable and create free items.

### SURVIVAL

public static final GameMode SURVIVAL
Survival mode is the "normal" gameplay type, with no special features.

### ADVENTURE

public static final GameMode ADVENTURE
Adventure mode cannot break blocks without the correct tools.

### SPECTATOR

public static final GameMode SPECTATOR
Spectator mode cannot interact with the world in anyway and is invisible to normal players. This grants the player the ability to no-clip through the world.

## Method Details

### values

public static GameMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GameMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

@Deprecated public int getValue()
Deprecated.
Magic value
Gets the mode value associated with this GameMode

Returns:
  An integer value of this gamemode

### getByValue

@Deprecated @Nullable public static @Nullable GameMode getByValue(int value)
Deprecated.
Magic value
Gets the GameMode represented by the specified value

Parameters:
  `value` - Value to check
Returns:
  Associative `GameMode` with the given value, or null if it doesn't exist